> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blindsight.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Config



## OpenAPI

````yaml /api-reference/openapi.json put /api/runtime-security/config
openapi: 3.1.0
info:
  title: Blindsight API
  version: 0.1.0
servers: []
security: []
paths:
  /api/runtime-security/config:
    put:
      tags:
        - runtime-security
      summary: Update Config
      operationId: update_config_api_runtime_security_config_put
      parameters:
        - name: X-API-Key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Api-Key
        - name: blindsight_session
          in: cookie
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Blindsight Session
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RuntimeSecurityConfig'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RuntimeSecurityConfig'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    RuntimeSecurityConfig:
      properties:
        enabled:
          type: boolean
          title: Enabled
          default: true
        injection_model:
          type: string
          title: Injection Model
          default: deepset/deberta-v3-base-injection
        block_threshold:
          type: number
          maximum: 1
          minimum: 0
          title: Block Threshold
          default: 0.85
        redact_threshold:
          type: number
          maximum: 1
          minimum: 0
          title: Redact Threshold
          default: 0.55
        max_text_length:
          type: integer
          maximum: 200000
          minimum: 256
          title: Max Text Length
          default: 32000
        log_events:
          type: boolean
          title: Log Events
          default: true
      type: object
      title: RuntimeSecurityConfig
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````